Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class ParameterBindingManagerBean.ParameterWindowPair

    java.lang.Object
      org.jboss.portal.core.admin.ui.coordination.ParameterBindingManagerBean.ParameterWindowPair

Enclosing class:
  ParameterBindingManagerBean

    public static class ParameterBindingManagerBean.ParameterWindowPair

extends java.lang.Object

Field Summary
`static int` | `PARAM_NAME`
`static int` | `WINDOW_NAME`

Constructor Summary
`ParameterBindingManagerBean.ParameterWindowPair(org.jboss.portal.portlet.info.ParameterInfo info, Window window)`
`ParameterBindingManagerBean.ParameterWindowPair(javax.xml.namespace.QName name, Window window)`

Method Summary
`javax.xml.namespace.QName` | `getName()`
`java.lang.String` | `getSeparator()`
`Window` | `getWindow()`
`static java.lang.String[]` | `resolveFrom(java.lang.String pairAsString)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAM_NAME

    public static final int PARAM_NAME

See Also:
  Constant Field Values

### WINDOW_NAME

    public static final int WINDOW_NAME

See Also:
  Constant Field Values

Constructor Detail

### ParameterBindingManagerBean.ParameterWindowPair

    public ParameterBindingManagerBean.ParameterWindowPair(org.jboss.portal.portlet.info.ParameterInfo info,
                                                           Window window)

### ParameterBindingManagerBean.ParameterWindowPair

    public ParameterBindingManagerBean.ParameterWindowPair(javax.xml.namespace.QName name,
                                                           Window window)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

### getWindow

    public Window getWindow()

### getSeparator

    public java.lang.String getSeparator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### resolveFrom

    public static java.lang.String[] resolveFrom(java.lang.String pairAsString)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD